Bug 1730523 (CVE-2019-12854) - CVE-2019-12854 squid: Denial of service in cachemgr.cgi
Summary: CVE-2019-12854 squid: Denial of service in cachemgr.cgi
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-12854
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1730524 1738482
Blocks: 1730537
TreeView+ depends on / blocked
 
Reported: 2019-07-17 03:55 UTC by Dhananjay Arunesh
Modified: 2021-02-16 21:42 UTC (History)
5 users (show)

Fixed In Version: Squid 4.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:21:31 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4743 0 None None None 2020-11-04 03:31:13 UTC

Description Dhananjay Arunesh 2019-07-17 03:55:45 UTC
A vulnerability was found in squid before 4.8, due to incorrect string termination the cachemgr.cgi may access unallocated memory. On systems with memory access protections this can result in the CGI process terminating unexpectedly. Resulting in a denial of service for all clients using it.

Upstream Patch:
http://www.squid-cache.org/Versions/v4/changesets/squid-4-2981a957716c61ff7e21eee1d7d6eb5a237e466d.patch

Comment 1 Dhananjay Arunesh 2019-07-17 03:56:30 UTC
External References:

http://www.squid-cache.org/Advisories/SQUID-2019_1.txt

Comment 2 Dhananjay Arunesh 2019-07-17 03:57:18 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1730524]

Comment 5 Product Security DevOps Team 2020-11-04 02:21:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12854

Comment 6 errata-xmlrpc 2020-11-04 03:31:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4743 https://access.redhat.com/errata/RHSA-2020:4743


Note You need to log in before you can comment on or make changes to this bug.